describe('MobileTest', () => {

  beforeAll(async () => {
    const url = '/e2e/html/MobileTest/';
    await browser.url(url);
    await browser.waitUntil(async () => {
      const currentUrl = await browser.getUrl();
      const state = await browser.execute( () => {
        return document.readyState;
      });
      return (state === 'complete') && (currentUrl.indexOf(url) > -1);
    }, {timeout: 10 * 60 * 1000, timeoutMsg: 'Expected page to be loaded after 10min', interval: browser.isMobile ? 2000 : 1000});
  });

  it('should compare successful element 1', async () => {
    const element = await browser.$('#element-1');
    await element.scrollIntoView();
    await browser.pause(2000);
    expect(await browser.checkElement(element, 'Element_1', {
        disableCSSAnimation: true,
    })).toEqual(0);
  });

  it('should compare successful element 2', async () => {
    const element = await browser.$('#element-2');
    await element.scrollIntoView();
    await browser.pause(2000);
    expect(await browser.checkElement(element, 'Element_2', {
        disableCSSAnimation: true,
    })).toEqual(0);
  });

  it('should compare successful element 3', async () => {
    const element = await browser.$('#element-3');
    await element.scrollIntoView();
    await browser.pause(2000);
    expect(await browser.checkElement(element, 'Element_3', {
        disableCSSAnimation: true,
    })).toEqual(0);
  });

  it('should compare successful element 4', async () => {
    const element = await browser.$('#element-4');
    await element.scrollIntoView();
    await browser.pause(2000);
    expect(await browser.checkElement(element, 'Element_4', {
        disableCSSAnimation: true,
    })).toEqual(0);
  });
});

